const { log, updateOrCreate } = require('cozy-konnector-libs')
const cozyClient = require('cozy-konnector-libs/dist/libs/cozyclient')

async function saveAccountData(accountId, accountData) {
  log('info', `saveAccountData: ${accountId}`)
  const accounts = await cozyClient.data.findAll('io.cozy.accounts')

  //TODO: refactor with usageof cozy-libs. Not working during implementation
  const account = accounts.filter(account => account._id === accountId)

  return updateOrCreate(
    [{ ...account[0], data: accountData }],
    'io.cozy.accounts'
  )
}

module.exports = { saveAccountData }
